/*
 * KOMMANDO_Kopieren.java  01.07.99
 *
 *
 * Beilage zum Buch "Software-Entwurf mit UML"
 * von J.Seemann & J. Wolff von Gudenberg,
 * Springer-Verlag, 1999
 * 
 */

/** <i>Benutzerkommando zum Kopieren von Zellen in das Clipboard (Details siehe Klasse Kommando)</i> */

public class KOMMANDO_Kopieren extends Kommando
{
 
   public void doit()
   {
      Position ObenLinks = new Position();
      Position UntenRechts = new Position();
      Tabkalk.Tabelle().getTabellenCursor().getMarkierung(ObenLinks,UntenRechts);

      int Spalten = UntenRechts.X()-ObenLinks.X() + 1;
      int Zeilen = UntenRechts.Y()-ObenLinks.Y() + 1;
  
      Tabkalk.Clipboard(new Matrix(Zeilen,Spalten));

      for (int x = 0; x < Spalten; x++)
         for (int y = 0; y < Zeilen; y++)
         {
             Zelle z = Tabkalk.Tabelle().getZelle(y+ObenLinks.Y(),x+ObenLinks.X());
             Tabkalk.Clipboard().setZelle(y,x,z);
         }
      Tabkalk.Tabelle().getTabellenCursor().resetMarkierung();
   }

	 public void undo()  {}
}